> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出子智能体条目

> 检索属于某个特定子智能体的全部原始条目，包括其消息、工具调用与工具输出。

此接口返回属于某个子智能体（而非父会话）的底层条目。可用它调试或重放子智能体的对话。

## 接口

```http theme={null}
GET /v1/agents/sessions/{session_id}/subagents/{subagent_id}/items
```

## 认证

传递 `Authorization: Bearer <api-key>` 或 `Authorization: ApiKey <key>` 之一。

## 路径参数

<ParamField path="session_id" type="string" required>
  智能体会话标识符。
</ParamField>

<ParamField path="subagent_id" type="string" required>
  子智能体标识符。
</ParamField>

## 响应

<ResponseField name="object" type="string">
  恒为 `list`。
</ResponseField>

<ResponseField name="data" type="array">
  由该子智能体拥有的条目对象数组。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://agent.example.com/v1/agents/sessions/sess_01J5X8/subagents/sub_01D/items \
    -H "Authorization: Bearer <api-key>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "msg_02A",
        "role": "user",
        "content": "Summarize this document"
      },
      {
        "id": "msg_02B",
        "role": "assistant",
        "content": "The document discusses..."
      }
    ]
  }
  ```
</ResponseExample>
